Subject: bug#20484: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: "Phillip Lord" <[email-masked]>
Date: Sun, 10 Apr 2016 09:25:42 +0100

On Sun, April 10, 2016 12:40 am, Paul Eggert wrote:
> Phillip Lord wrote:
>
>> They've just patched SWI-Prolog to look at INSIDE_EMACS anyway.
>>
>
> Amusingly enough, the SWI-Prolog implementation (both unpatched and
> patched) disagrees with its documentation, which says SWI-Prolog assumes
> it is running under Emacs "if the environment variable EMACS is 't' and
> INFERIOR is 'yes'."
>
>
> Note the restriction to 't' in the documentation (which the code does not
>  enforce). Note also the "and" in the documentation (the code uses "||").

Yes, I noticed that as well. I couldn't patch the documentation because I
couldn't find the source.

> It sounds like this stuff isn't exercised much....

I wouldn't conclude that; more likely, it just works so no one has looked.
The situation with bash is the same -- Emacs requests --noediting, but
bash detects Emacs and enforces noediting anyway.

Phil

>
>> I'm guessing that anyone who wants the EMACS=t behaviour should be able
>> to get it back by adding (setenv "EMACS" "t") to their .emacs?
>
> Yes, that works. Or in practice for SWI-Prolog (setenv "INFERIOR" "yes")
> should also do the trick.
>
>
>
>